Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class MainFrame

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--jpos.config.simple.editor.MainFrame

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

class MainFrame
extends javax.swing.JFrame

This is the main JFrame for the JposEntryEditor application

Since:
  0.1 (Philly 99 meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com), Manuel Monseratte, Kriselie Rivera
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Inner classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Inner classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.AWTTreeLock`

Field Summary
`static java.lang.String` | `ABOUT_STRING`
`static java.lang.String` | `ABOUTBUTTON_STRING`
`static java.lang.String` | `ABOUTMENU_STRING`
`static java.lang.String` | `ADD_STRING`
`static java.lang.String` | `ADDBUTTON_STRING`
`static java.lang.String` | `ADDMENU_STRING`
`static java.lang.String` | `AUTOEXPAND_STRING`
`static java.lang.String` | `CATEGORY_STRING`
`static java.lang.String` | `CFG_EXTENSION_STRING`
`static java.lang.String` | `CHANGESLOST_STRING`
`static java.lang.String` | `CLOSE_STRING`
`static java.lang.String` | `CLOSECHANGES_STRING`
`static java.lang.String` | `CLOSEDFILE_STRING`
`static java.lang.String` | `CLOSEDFILEWITHCHANGES_STRING`
`static java.lang.String` | `CLOSEDJPOSREGISTRY_STRING`
`static java.lang.String` | `CLOSEFILEBUTTON_STRING`
`static java.lang.String` | `CLOSEFILEMENU_STRING`
`static java.lang.String` | `CLOSEJPOSREGISTRY_STRING`
`static java.lang.String` | `CLOSEJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `CONFIGBUTTON_STRING`
`static java.lang.String` | `CONFIGMENU_STRING`
`static java.lang.String` | `COPY_STRING`
`static java.lang.String` | `COPYMENU_STRING`
`static java.lang.String` | `CURRENTPROPERTY_STRING`
`static java.lang.String` | `DELETE_OLD_ENTRY_WITH_LOGICAL_NAME_MSG`
`static java.lang.String` | `DELETE_STRING`
`static java.lang.String` | `DELETEBUTTON_STRING`
`static java.lang.String` | `DELETEENTRYWITHLOGNAM_STRING`
`static java.lang.String` | `DELETEMENU_STRING`
`static java.lang.String` | `EDIT_STRING`
`static java.lang.String` | `ENTERNEWLOGICALNAME_STRING`
`static java.lang.String` | `ERROR_MESSAGE_TITLE_STRING`
`static java.lang.String` | `ERROR_OPENING_ENTRIES_FILE_MSG`
`static java.lang.String` | `ERROR_STRING`
`static java.lang.String` | `ERRORSAVING_STRING`
`static java.lang.String` | `ERRORSAVINGJPOSREGISTRY_STRING`
`static java.lang.String` | `EXIT_STRING`
`static java.lang.String` | `EXITMENU_STRING`
`static java.lang.String` | `FILE_STRING`
`static java.lang.String` | `HELP_STRING`
`static java.lang.String` | `IMPORTANTPROPERTIES_STRING`
`static java.lang.String` | `JPOS_PROPERTIES_MENU_STRING`
`static java.lang.String` | `JPOSENTRIES_STRING`
`static java.lang.String` | `JPOSENTRY_MERGER_MENU_STRING`
`static java.lang.String` | `JPOSENTRY_MERGER_TTTEXT_STRING`
`static java.lang.String` | `JPOSENTRYEDITOR_STRING`
`static java.lang.String` | `JPOSPROPERTIES_STRING`
`static java.lang.String` | `LOADENTRIESJPOSREGISTRY_STRING`
`static java.lang.String` | `LOADJPOSREGISTRY_STRING`
`static java.lang.String` | `LOADJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `MAINFRAME_TITLE`
`static java.lang.String` | `MANUFACTURER_STRING`
`static java.lang.String` | `MESSAGES_STRING`
`static java.lang.String` | `METAL_STRING`
`static java.lang.String` | `MODIFY_STRING`
`static java.lang.String` | `MODIFYBUTTON_STRING`
`static java.lang.String` | `MODIFYMENU_STRING`
`static java.lang.String` | `NEW_STRING`
`static java.lang.String` | `NEWFILEBUTTON_STRING`
`static java.lang.String` | `NEWFILEMENU_STRING`
`static java.lang.String` | `NOENTRIES_STRING`
`static java.lang.String` | `NOENTRIESJPOSREGISTRY_STRING`
`static java.lang.String` | `OPEN_STRING`
`static java.lang.String` | `OPENFILE_STRING`
`static java.lang.String` | `OPENFILEBUTTON_STRING`
`static java.lang.String` | `OPENFILEMENU_STRING`
`static java.lang.String` | `OTHERPROPERTIES_STRING`
`static java.lang.String` | `PREFERENCES_STRING`
`static java.lang.String` | `PROPERTIES_STRING`
`static java.lang.String` | `PROPERTYNAME_STRING`
`static java.lang.String` | `PROPERTYTYPE_STRING`
`static java.lang.String` | `PROPERTYVALUE_STRING`
`static java.lang.String` | `SAVE_STRING`
`static java.lang.String` | `SAVEAS_STRING`
`static java.lang.String` | `SAVEASFILEBUTTON_STRING`
`static java.lang.String` | `SAVEASFILEMENU_STRING`
`static java.lang.String` | `SAVECHANGES_STRING`
`static java.lang.String` | `SAVECHANGESJPOSREGISTRY_STRING`
`static java.lang.String` | `SAVECURRENTCHANGES_STRING`
`static java.lang.String` | `SAVEDCHANGESTOREGISTRY_STRING`
`static java.lang.String` | `SAVEDFILE_STRING`
`static java.lang.String` | `SAVEFILEBUTTON_STRING`
`static java.lang.String` | `SAVEFILEMENU_STRING`
`static java.lang.String` | `SAVEJPOSREGISTRY_STRING`
`static java.lang.String` | `SAVEJPOSREGISTRYMENU_STRING`
`static java.lang.String` | `SELECTENTRYTODELETE_STRING`
`static java.lang.String` | `SELECTENTRYTOMODIFY_STRING`
`static java.lang.String` | `SORTED_STRING`
`static java.lang.String` | `TOPOFFILE_STRING`
`static java.lang.String` | `TREEVIEW_STRING`
`static java.lang.String` | `USEDNAME_STRING`
`static java.lang.String` | `VALIDNAME_STRING`
`static java.lang.String` | `XML_EXTENSION_STRING`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, icon, ICONIFIED, mbManagement, menuBar, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, ownedWindows, resizable, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, title, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Window
`inputContext, OPENED, ownedWindowList, state, warningString, windowListener`

Fields inherited from class java.awt.Container
`component, containerListener, layoutMgr, listeningBoundsChildren, listeningChildren, ncomponents`

Fields inherited from class java.awt.Component
`actionListenerK, adjustmentListenerK, appContext, background, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, componentListener, componentListenerK, componentOrientation, containerListenerK, cursor, dropTarget, enabled, eventMask, focusListener, focusListenerK, font, foreground, graphicsConfig, hasFocus, height, hierarchyBoundsListener, hierarchyBoundsListenerK, hierarchyListener, hierarchyListenerK, incRate, inputMethodListener, inputMethodListenerK, isInc, isPacked, itemListenerK, keyListener, keyListenerK, LEFT_ALIGNMENT, locale, LOCK, metrics, minSize, mouseListener, mouseListenerK, mouseMotionListener, mouseMotionListenerK, newEventsOnly, ownedWindowK, parent, peer, peerFont, popups, prefSize, RIGHT_ALIGNMENT, textListenerK, TOP_ALIGNMENT, valid, visible, width, windowClosingException, windowListenerK, x, y`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MainFrame()` Default ctor

Method Summary
`void` | `enableCopyDeleteSubMenus(boolean b)` enables/disables the delete buttons
`boolean` | `getAutoDeleteEntryOnCopy()`
`JposEntryEditorConfigDialog` | `getConfigDialog()`
`javax.swing.filechooser.FileFilter` | `getJposEntryEditorFileFilter()`
`JposEntryMergerDialog` | `getJposEntryMergerDialog()`
`JposEntryPanel` | `getJposEntryPanel()`
`boolean` | `getShowAsHexFlag()`
`boolean` | `isEditorInXmlMode()`
`void` | `print(java.lang.String msg)` Prints a message on the Message panel (bottom of frame) NOTE: in 1.2 the JTextArea will scroll down
`void` | `println(java.lang.String msg)` Prints a message on the Message panel (bottom of frame) with a new line NOTE: in 1.2 the JTextArea will scroll down
`(package private) void` | `resetConfig()` Called to reset the configuration options
`void` | `setAutoDeleteEntryOnCopy(boolean b)` Sets the autoDeleteEntryOnCopy config property
`void` | `setAutoLoadFlag(boolean b)` sets the autoLoad variable
`void` | `setCurrentTreeView(int currentView)` sets the JposEntryTreePanel's currentView variable
`(package private) void` | `setEntriesChanged(boolean b)` Sets the entriesChanged flag and puts a * in the frame's title to indicate that
`void` | `setExpandTreeFlag(boolean b)` sets the JposEntryTreePanel's expandTreeFlag variable
`void` | `setLookAndFeel(int lookAndFeelSelected)` sets the frame's look and feel
`void` | `setShowAsHexFlag(boolean b)` sets the JposEntryViewPanel's showNumbersAsHex variable
`void` | `setShowJCL12PropView(boolean b)` Called to show or hide the "JCL 1.2 View" tab
`void` | `updateLookAndFeel()` Calls the SwingUitlities.updateComponentTreeUI for every this and JFrame objects contained in this JFrame instance.

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`, addNotify, addToFrameList, constructComponentName, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, postProcessKeyEvent, remove, removeFromFrameList, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addOwnedWindow, addWindowListener, adjustListeningChildren, applyResourceBundle, applyResourceBundle, connectOwnedWindow, dispatchEventImpl, dispose, eventEnabled, getFocusOwner, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, hide, isActive, isShowing, nextFocus, pack, postEvent, postWindowEvent, preProcessKeyEvent, processEvent, removeOwnedWindow, removeWindowListener, resetGC, setCursor, setFocusOwner, show, toBack, toFront, transferFocus`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyOrientation, checkGD, countComponents, createChildHierarchyEvents, createHierarchyEvents, deliverEvent, dispatchEventToSelf, doLayout, findComponentAt, findComponentAt, findComponentAt, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents_NoClientCode, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getMouseEventTarget, getPreferredSize, getWindow, insets, invalidate, invalidateTree, isAncestorOf, layout, lightweightPaint, lightweightPrint, list, list, locate, minimumSize, numListening, paint, paintComponents, paintHeavyweightComponents, postsOldMouseEvents, preferredSize, print, printComponents, printHeavyweightComponents, processContainerEvent, proxyEnableEvents, proxyRequestFocus, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, areInputMethodsEnabled, bounds, checkImage, checkImage, checkWindowClosingException, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getAccessibleIndexInParent, getAccessibleStateSet, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont_NoClientCode, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen_NoTreeLock, getLocationOnScreen, getName, getNativeContainer, getParent_NoClientCode, getParent, getPeer, getSize, getSize, getToolkitImpl, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isEnabledImpl, isFocusTraversable, isLightweight, isOpaque, isRecursivelyVisible, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### MAINFRAME_TITLE

    public static final java.lang.String MAINFRAME_TITLE

### XML_EXTENSION_STRING

    public static final java.lang.String XML_EXTENSION_STRING

### CFG_EXTENSION_STRING

    public static final java.lang.String CFG_EXTENSION_STRING

### JPOSENTRYEDITOR_STRING

    public static final java.lang.String JPOSENTRYEDITOR_STRING

### FILE_STRING

    public static final java.lang.String FILE_STRING

### NEW_STRING

    public static final java.lang.String NEW_STRING

### OPEN_STRING

    public static final java.lang.String OPEN_STRING

### SAVE_STRING

    public static final java.lang.String SAVE_STRING

### SAVEAS_STRING

    public static final java.lang.String SAVEAS_STRING

### LOADJPOSREGISTRY_STRING

    public static final java.lang.String LOADJPOSREGISTRY_STRING

### SAVEJPOSREGISTRY_STRING

    public static final java.lang.String SAVEJPOSREGISTRY_STRING

### CLOSEJPOSREGISTRY_STRING

    public static final java.lang.String CLOSEJPOSREGISTRY_STRING

### CLOSE_STRING

    public static final java.lang.String CLOSE_STRING

### EXIT_STRING

    public static final java.lang.String EXIT_STRING

### EDIT_STRING

    public static final java.lang.String EDIT_STRING

### ADD_STRING

    public static final java.lang.String ADD_STRING

### COPY_STRING

    public static final java.lang.String COPY_STRING

### DELETE_STRING

    public static final java.lang.String DELETE_STRING

### MODIFY_STRING

    public static final java.lang.String MODIFY_STRING

### PREFERENCES_STRING

    public static final java.lang.String PREFERENCES_STRING

### HELP_STRING

    public static final java.lang.String HELP_STRING

### ABOUT_STRING

    public static final java.lang.String ABOUT_STRING

### JPOSENTRIES_STRING

    public static final java.lang.String JPOSENTRIES_STRING

### PROPERTIES_STRING

    public static final java.lang.String PROPERTIES_STRING

### IMPORTANTPROPERTIES_STRING

    public static final java.lang.String IMPORTANTPROPERTIES_STRING

### CURRENTPROPERTY_STRING

    public static final java.lang.String CURRENTPROPERTY_STRING

### PROPERTYNAME_STRING

    public static final java.lang.String PROPERTYNAME_STRING

### PROPERTYVALUE_STRING

    public static final java.lang.String PROPERTYVALUE_STRING

### PROPERTYTYPE_STRING

    public static final java.lang.String PROPERTYTYPE_STRING

### OTHERPROPERTIES_STRING

    public static final java.lang.String OTHERPROPERTIES_STRING

### MESSAGES_STRING

    public static final java.lang.String MESSAGES_STRING

### TOPOFFILE_STRING

    public static final java.lang.String TOPOFFILE_STRING

### NEWFILEMENU_STRING

    public static final java.lang.String NEWFILEMENU_STRING

### NEWFILEBUTTON_STRING

    public static final java.lang.String NEWFILEBUTTON_STRING

### OPENFILEMENU_STRING

    public static final java.lang.String OPENFILEMENU_STRING

### OPENFILEBUTTON_STRING

    public static final java.lang.String OPENFILEBUTTON_STRING

### SAVEFILEMENU_STRING

    public static final java.lang.String SAVEFILEMENU_STRING

### SAVEFILEBUTTON_STRING

    public static final java.lang.String SAVEFILEBUTTON_STRING

### SAVEASFILEMENU_STRING

    public static final java.lang.String SAVEASFILEMENU_STRING

### SAVEASFILEBUTTON_STRING

    public static final java.lang.String SAVEASFILEBUTTON_STRING

### LOADJPOSREGISTRYMENU_STRING

    public static final java.lang.String LOADJPOSREGISTRYMENU_STRING

### SAVEJPOSREGISTRYMENU_STRING

    public static final java.lang.String SAVEJPOSREGISTRYMENU_STRING

### CLOSEJPOSREGISTRYMENU_STRING

    public static final java.lang.String CLOSEJPOSREGISTRYMENU_STRING

### CLOSEFILEMENU_STRING

    public static final java.lang.String CLOSEFILEMENU_STRING

### CLOSEFILEBUTTON_STRING

    public static final java.lang.String CLOSEFILEBUTTON_STRING

### EXITMENU_STRING

    public static final java.lang.String EXITMENU_STRING

### ADDMENU_STRING

    public static final java.lang.String ADDMENU_STRING

### COPYMENU_STRING

    public static final java.lang.String COPYMENU_STRING

### ADDBUTTON_STRING

    public static final java.lang.String ADDBUTTON_STRING

### DELETEMENU_STRING

    public static final java.lang.String DELETEMENU_STRING

### DELETEBUTTON_STRING

    public static final java.lang.String DELETEBUTTON_STRING

### MODIFYMENU_STRING

    public static final java.lang.String MODIFYMENU_STRING

### MODIFYBUTTON_STRING

    public static final java.lang.String MODIFYBUTTON_STRING

### ABOUTMENU_STRING

    public static final java.lang.String ABOUTMENU_STRING

### ABOUTBUTTON_STRING

    public static final java.lang.String ABOUTBUTTON_STRING

### CONFIGMENU_STRING

    public static final java.lang.String CONFIGMENU_STRING

### CONFIGBUTTON_STRING

    public static final java.lang.String CONFIGBUTTON_STRING

### TREEVIEW_STRING

    public static final java.lang.String TREEVIEW_STRING

### SORTED_STRING

    public static final java.lang.String SORTED_STRING

### CATEGORY_STRING

    public static final java.lang.String CATEGORY_STRING

### MANUFACTURER_STRING

    public static final java.lang.String MANUFACTURER_STRING

### AUTOEXPAND_STRING

    public static final java.lang.String AUTOEXPAND_STRING

### SELECTENTRYTODELETE_STRING

    public static final java.lang.String SELECTENTRYTODELETE_STRING

### DELETEENTRYWITHLOGNAM_STRING

    public static final java.lang.String DELETEENTRYWITHLOGNAM_STRING

### SELECTENTRYTOMODIFY_STRING

    public static final java.lang.String SELECTENTRYTOMODIFY_STRING

### ENTERNEWLOGICALNAME_STRING

    public static final java.lang.String ENTERNEWLOGICALNAME_STRING

### VALIDNAME_STRING

    public static final java.lang.String VALIDNAME_STRING

### USEDNAME_STRING

    public static final java.lang.String USEDNAME_STRING

### SAVECURRENTCHANGES_STRING

    public static final java.lang.String SAVECURRENTCHANGES_STRING

### OPENFILE_STRING

    public static final java.lang.String OPENFILE_STRING

### NOENTRIES_STRING

    public static final java.lang.String NOENTRIES_STRING

### ERROR_STRING

    public static final java.lang.String ERROR_STRING

### CLOSECHANGES_STRING

    public static final java.lang.String CLOSECHANGES_STRING

### CLOSEDFILE_STRING

    public static final java.lang.String CLOSEDFILE_STRING

### CLOSEDFILEWITHCHANGES_STRING

    public static final java.lang.String CLOSEDFILEWITHCHANGES_STRING

### SAVEDFILE_STRING

    public static final java.lang.String SAVEDFILE_STRING

### ERRORSAVING_STRING

    public static final java.lang.String ERRORSAVING_STRING

### SAVECHANGES_STRING

    public static final java.lang.String SAVECHANGES_STRING

### CHANGESLOST_STRING

    public static final java.lang.String CHANGESLOST_STRING

### LOADENTRIESJPOSREGISTRY_STRING

    public static final java.lang.String LOADENTRIESJPOSREGISTRY_STRING

### NOENTRIESJPOSREGISTRY_STRING

    public static final java.lang.String NOENTRIESJPOSREGISTRY_STRING

### ERRORSAVINGJPOSREGISTRY_STRING

    public static final java.lang.String ERRORSAVINGJPOSREGISTRY_STRING

### SAVEDCHANGESTOREGISTRY_STRING

    public static final java.lang.String SAVEDCHANGESTOREGISTRY_STRING

### SAVECHANGESJPOSREGISTRY_STRING

    public static final java.lang.String SAVECHANGESJPOSREGISTRY_STRING

### CLOSEDJPOSREGISTRY_STRING

    public static final java.lang.String CLOSEDJPOSREGISTRY_STRING

### METAL_STRING

    public static final java.lang.String METAL_STRING

### JPOSPROPERTIES_STRING

    public static final java.lang.String JPOSPROPERTIES_STRING

### JPOS_PROPERTIES_MENU_STRING

    public static final java.lang.String JPOS_PROPERTIES_MENU_STRING

### JPOSENTRY_MERGER_MENU_STRING

    public static final java.lang.String JPOSENTRY_MERGER_MENU_STRING

### JPOSENTRY_MERGER_TTTEXT_STRING

    public static final java.lang.String JPOSENTRY_MERGER_TTTEXT_STRING

### ERROR_OPENING_ENTRIES_FILE_MSG

    public static final java.lang.String ERROR_OPENING_ENTRIES_FILE_MSG

### ERROR_MESSAGE_TITLE_STRING

    public static final java.lang.String ERROR_MESSAGE_TITLE_STRING

### DELETE_OLD_ENTRY_WITH_LOGICAL_NAME_MSG

    public static final java.lang.String DELETE_OLD_ENTRY_WITH_LOGICAL_NAME_MSG

Constructor Detail

### MainFrame

    public MainFrame()

  Default ctor
  Since:
    0.1 (Philly 99 meeting)

Method Detail

### getConfigDialog

    public JposEntryEditorConfigDialog getConfigDialog()

  Returns:
    the JposEntryEditorConfigDialog creating it if necessary
  Since:
    1.3 (SF 2K meeting)

### getJposEntryMergerDialog

    public JposEntryMergerDialog getJposEntryMergerDialog()

  Returns:
    the JposEntryMergerDialog creating it if necessary
  Since:
    1.3 (SF 2K meeting)

### setEntriesChanged

    void setEntriesChanged(boolean b)

  Sets the entriesChanged flag and puts a * in the frame's title to indicate that
  Since:
    0.1 (Philly 99 meeting)

### resetConfig

    void resetConfig()

  Called to reset the configuration options
  Since:
    2.0.0

### updateLookAndFeel

    public void updateLookAndFeel()

  Calls the SwingUitlities.updateComponentTreeUI for every this and JFrame objects contained in this JFrame instance. Used to update the Look and Feel
  Since:
    1.2 (NYC 2K meeting)

### print

    public void print(java.lang.String msg)

  Prints a message on the Message panel (bottom of frame) NOTE: in 1.2 the JTextArea will scroll down
  Since:
    0.1 (Philly 99 meeting)

### println

    public void println(java.lang.String msg)

  Prints a message on the Message panel (bottom of frame) with a new line NOTE: in 1.2 the JTextArea will scroll down
  Since:
    0.1 (Philly 99 meeting)

### enableCopyDeleteSubMenus

    public void enableCopyDeleteSubMenus(boolean b)

  enables/disables the delete buttons
  Since:
    1.3 (SF 2K meeting)

### getJposEntryPanel

    public JposEntryPanel getJposEntryPanel()

  Returns:
    the JposEntryPanel
  Since:
    1.3 (SF 2K meeting)

### setCurrentTreeView

    public void setCurrentTreeView(int currentView)

  sets the JposEntryTreePanel's currentView variable
  Since:
    1.3 (SF 2K meeting)

### setExpandTreeFlag

    public void setExpandTreeFlag(boolean b)

  sets the JposEntryTreePanel's expandTreeFlag variable
  Since:
    1.3 (SF 2K meeting)

### setShowAsHexFlag

    public void setShowAsHexFlag(boolean b)

  sets the JposEntryViewPanel's showNumbersAsHex variable
  Since:
    1.3 (SF 2K meeting)

### getShowAsHexFlag

    public boolean getShowAsHexFlag()

  Returns:
    true if the show integer as hex config is set
  Since:
    2.0.0

### setAutoDeleteEntryOnCopy

    public void setAutoDeleteEntryOnCopy(boolean b)

  Sets the autoDeleteEntryOnCopy config property
  Since:
    2.0.0

### getAutoDeleteEntryOnCopy

    public boolean getAutoDeleteEntryOnCopy()

  Returns:
    true if the the autoDeleteEntryOnCopy config property config is set
  Since:
    2.0.0

### setAutoLoadFlag

    public void setAutoLoadFlag(boolean b)

  sets the autoLoad variable
  Since:
    1.3 (SF 2K meeting)

### setLookAndFeel

    public void setLookAndFeel(int lookAndFeelSelected)

  sets the frame's look and feel
  Parameters:
    `laFParam` - int that is one of MainFrame.JAVALNF or MainFrame.NATIVELNF
  Since:
    1.3 (SF 2K meeting)

### setShowJCL12PropView

    public void setShowJCL12PropView(boolean b)

  Called to show or hide the "JCL 1.2 View" tab
  Parameters:
    `b` - the boolean param

### getJposEntryEditorFileFilter

    public javax.swing.filechooser.FileFilter getJposEntryEditorFileFilter()

  Returns:
    a lazily created JposEntryEditorFileFilter
  Since:
    2.0.0

### isEditorInXmlMode

    public boolean isEditorInXmlMode()

  Returns:
    true if the editor is in XML mode or false otherwise
  Since:
    2.0.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details